summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRyan Pavlik <rpavlik@iastate.edu>2012-05-07 17:45:03 (GMT)
committerRyan Pavlik <rpavlik@iastate.edu>2012-05-07 17:58:50 (GMT)
commitf0d5c3e6bac4e94f0388f0bbb8b09227fd6c81ad (patch)
treec278ff4d6a08a7c40ef2ad29b9c5866a5eb22b09
parent8291d7e7f7b43dc70e10e19a07e6b44db7a2570a (diff)
downloadmxe-f0d5c3e6bac4e94f0388f0bbb8b09227fd6c81ad.zip
mxe-f0d5c3e6bac4e94f0388f0bbb8b09227fd6c81ad.tar.gz
mxe-f0d5c3e6bac4e94f0388f0bbb8b09227fd6c81ad.tar.bz2
Patch tool: Adding some progress messages to long processes.
-rwxr-xr-xtools/patch-tool-mxe9
1 files changed, 9 insertions, 0 deletions
diff --git a/tools/patch-tool-mxe b/tools/patch-tool-mxe
index e2f5e4c..48fec9c 100755
--- a/tools/patch-tool-mxe
+++ b/tools/patch-tool-mxe
@@ -46,19 +46,28 @@ setupEnv() {
function init_git {
setupEnv
cd $gitsdir
+
+ echo "Checking for cached $pkg_file"
if [ ! -f $mxedir/pkg/$pkg_file ]; then
make -C "$mxedir" download-$pkg
+ echo "Building the mxe Makefile target 'download-$pkg' to get missing file"
if [ ! $? -eq 0 ]; then
echo "Could not build target download-$pkg - cancelling init." >&2
exit 1
fi
fi
+
+ echo "Unpacking archive..."
echo $pkg_file | grep "\.tar\.gz" >> /dev/null && tar xf $mxedir/pkg/$pkg_file
echo $pkg_file | grep "\.tar\.bz2" >> /dev/null && tar xf $mxedir/pkg/$pkg_file
echo $pkg_file | grep "\.tar\.xz" >> /dev/null && xz -dc $mxedir/pkg/$pkg_file | tar xf -
echo $pkg_file | grep "\.zip" >> /dev/null && unzip $mxedir/pkg/$pkg_file >> /dev/null
+
+ echo "Initializing repo and adding all as first commit"
cd $gitsdir/$pkg_subdir && \
(git init; git add -A; git commit -m "init") > /dev/null
+
+ echo "Tagging distribution tarball state"
git tag dist
}